-- --------------------------------------------------------
--
-- Table `desk-weather`
--

CREATE TABLE IF NOT EXISTS `desk-weather` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `member_id` int(11) unsigned NOT NULL,
  `identCity` varchar(30) NOT NULL,
  `libelCity` varchar(255) NOT NULL,
  `units` enum('metric','english') NOT NULL default 'metric',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- ----------------------------------------------------------------------------
-- Add Desk-Weater to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
	`moduleName`
	, `moduleType`
	, `moduleId`
	, `version`
	, `author`
	, `description`
	, `path`
	, `active`
) VALUES (
	'QoDesk.DeskWeather'
	, 'internet'
	, 'desk-weather'
	, '0.3'
	, 'Yannick Torrès'
	, 'Weather Applet'
	, 'system/modules/Desk-Weather/'
	, 'true'
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_has_files
-- ----------------------------------------------------------------------------

-- Javascript

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'Desk-Weather.js' AS name, 'javascript' AS type) b;

-- Javascript locale

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'locale/Desk-Weather-en.js' AS name, 'javascript' AS type) b;

-- Css

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'Desk-Weather.css' AS name, 'css' AS type) b;

-- Php

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'php/get-info.php' AS name, 'php' AS type) b;

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'php/load-city.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'php/save-city.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'desk-weather') a
   , (SELECT 'php/search-location.php' AS name, 'php' AS type) b;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------

insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 'true'
from (select id from qo_groups) g
   , (select id from qo_modules where moduleId like 'desk-weather') m;

-- ----------------------------------------------------------------------------
-- Add Modules to launchers
-- ----------------------------------------------------------------------------
insert into `qo_modules_has_launchers` (`qo_modules_id`, `qo_launchers_id`, `sort_order`)
select m.id, l.id, 30
from (select id from qo_modules where moduleId = 'desk-weather') m
   , (select id from qo_launchers where name = 'startmenu') l;